File python-orbit.changes of Package python-orbit

-------------------------------------------------------------------
Thu Aug  6 14:03:42 CEST 2009 - matejcik@suse.cz

- update to 2.24.0
 * Added weakref support to Python CORBA objects
 * Allow accessing reference count data
 * Misc. build fixes

-------------------------------------------------------------------
Thu Apr 30 00:15:46 CEST 2009 - ro@suse.de

- drop python-numeric from buildrequires (apparently unused) 

-------------------------------------------------------------------
Fri Aug  3 13:29:04 CEST 2007 - jmatejek@suse.cz

- update to 2.14.3
  * fixing a couple of bug discovered by Coverity tests
  * compatibility with non-ORBit2 based servants

-------------------------------------------------------------------
Tue Dec 19 16:22:10 CET 2006 - sbrabec@suse.cz

- Spec file cleanup.

-------------------------------------------------------------------
Fri Oct 20 15:16:52 CEST 2006 - jpr@suse.de

- Update to 2.14.1

pyorbit-2.14.1:  11-Jnue-2006
        - Fix build problem on cygwin
        - Fix segmentation fault on orb.shutdown()
        - Make it work on Python 2.5 and 64-bit platforms

pyorbit-2.13.1:  11-December-2005
        - Add support for CORBA async calls

pyorbit-2.13.0:  4-December-2005
        - Add thread safety; don't block threads on ORB.run or remote calls
        - Allow creating custom POAs
        - Support POA thread policies and ORBit thread hints
        - Automatic type discovery now works for Python servers too
        - Add new examples: echo client/server; threaded server

-------------------------------------------------------------------
Wed Aug 16 12:36:28 CEST 2006 - cthiel@suse.de

- split of -devel package

-------------------------------------------------------------------
Wed Jan 25 21:32:38 CET 2006 - mls@suse.de

- converted neededforbuild to BuildRequires

-------------------------------------------------------------------
Tue Feb  8 17:28:19 CET 2005 - mcihar@suse.cz

- use %{py_requires}
- no need to recompile python modules with current automake macros

-------------------------------------------------------------------
Wed Nov 24 15:36:14 CET 2004 - mcihar@suse.cz

- update to 2.0.1

-------------------------------------------------------------------
Tue Nov 23 14:10:17 CET 2004 - ro@suse.de

- fix build for <= 9.0 (only py_ver works everywhere) 

-------------------------------------------------------------------
Mon Apr 19 13:10:26 CEST 2004 - mcihar@suse.cz

- -fno-strict-aliasing

-------------------------------------------------------------------
Wed Oct 15 15:20:31 CEST 2003 - mcihar@suse.cz

- don't build as root
- spec file cleanup

-------------------------------------------------------------------
Tue Sep 02 19:08:49 CEST 2003 - mcihar@suse.cz

- updated to 2.0.0 (final GNOME 2 version, just minor bugfixes)

-------------------------------------------------------------------
Tue Aug 26 14:05:02 CEST 2003 - mcihar@suse.cz

- updated to 1.99.7:
    - fix a problem with handling of exceptions that was uncovered
      by Python 2.3.
    - disable assigning to unknown attributes on stub instances.  Saves
      a little memory too.
    - add CORBA.ORB.work_pending() and CORBA.ORB.perform_work() methods.

-------------------------------------------------------------------
Thu Aug 07 16:23:07 CEST 2003 - mcihar@suse.cz

- updated to pyorbit-1.99.6:
    - clean up base class list when building client stubs.  This
      is needed in order for the stubs to work with Python 2.3.
    - fix some possible segfaults if the argument names are
      missing in the IInterface structures, which occurs when
      using ORBit.load_file().
    - Work with latest HEAD branch (ORBit2 2.7.x).
    - allow importing of CORBA or PortableServer without first
      importing ORBit.  This gives better compatibility with
      standard CORBA mapping.
    - None is not a valid string/wstring value.
    - accept strings for sequence<octet>.
- recompile python code to contain correct paths

-------------------------------------------------------------------
Mon Jun 16 17:26:14 CEST 2003 - mcihar@suse.cz

- removed \ at the end of Makefile.am

-------------------------------------------------------------------
Mon May 12 14:21:37 CEST 2003 - mcihar@suse.cz

- use versioned dependency on python

-------------------------------------------------------------------
Mon May 05 16:26:49 CEST 2003 - mcihar@suse.cz

- as orbit-python went away, this package is based on pyorbit

-------------------------------------------------------------------
Wed Nov 27 18:12:45 CET 2002 - mcihar@suse.cz

- cleaned up specfile
- fixed building for lib64 (this is temporary, should be fixed in autoconf)

-------------------------------------------------------------------
Wed Nov 27 15:11:07 CET 2002 - mcihar@suse.cz

- initial version (needed for python-gnome)
- this work only with GNOME 2